import { BaseField } from '../../BaseField';
export class RichContentField extends BaseField {
  constructor(id, title, placeholder, description, settings) {
    super(id, 'rich-content');
    this.id = id;
    this.title = title;
    this.placeholder = placeholder;
    this.description = description;
    this.settings = settings;
  }
  showPreview() {
    this.preview = true;
    return this;
  }
  getDisplayValue(value) {
    return value;
  }
  setSettings(settings) {
    this.settings = settings;
    return this;
  }
}
RichContentField.type = 'rich-content';
